/*
  Name: Space 2004: Solar System
  Copyright: Copyright(C) 2004, Jan Ringos, Tringi@Mx-3.cz
  Author: Jan Ringos, http://Tringi.Mx-3.cz
  Description: This file is part of freeware project.
               Source code is included only for learning purposes.
               
               Consider it to be free to check how things are
               done but not for application in any project (both 
               commercial and non-commercial) without author's
               permission.
*/

#include "phobos.hpp"
#include "koule.hpp"

int phobos_textura = 0;

int InitPhobos() {
    aBitmapGL bitmap;
    
    bitmap.load("data/ast1.aBitmap");
    phobos_textura = bitmap.getOpenGLMipmapTexture();

    return 0;
};

int DrawPhobos(float distance, int t) {
    glPushAttrib(GL_ENABLE_BIT|GL_DEPTH_BUFFER_BIT|GL_LIGHTING_BIT|GL_COLOR_BUFFER_BIT);
    glEnable(GL_TEXTURE_2D);

    glBindTexture(GL_TEXTURE_2D, phobos_textura);
    glRotatef(90.0, -1.0, 0.0, 0.0);
    glColor4f(1.0,1.0,1.0,1.0);
    DrawSphere(0.011, 7,5);
    
    glPopAttrib();
    return 0;
};


