/*
  Name: aBitmapGL.hpp
  Copyright: Copyright(C) 2004, Jan Ringos, Tringi@Mx-3.cz
  Author: Jan Ringos, http://Tringi.Mx-3.cz
  Description: Extends aBitmap of OpenGL support
  
  This is not official version of the code.
*/

#ifndef __ABITMAPGL_HPP
#define __ABITMAPGL_HPP

#include <gl\gl.h>
#include <gl\glu.h>
#include "aBitmap.hpp"

class aBitmapGL : public aBitmap {
    public:
        aBitmapGL() : aBitmap() {
            return;
        }
        aBitmapGL(int a, int b) : aBitmap(a,b) {
            return;
        };
        int getOpenGLDisplayList();
        int getOpenGLTexture(bool border = false);
        int getOpenGLMipmapTexture();
};

#endif

