/*
  Name: Space 2004: Solar System
  Copyright: Copyright(C) 2004, Jan Ringos, Tringi@Mx-3.cz
  Author: Jan Ringos, http://Tringi.Mx-3.cz
  Description: This file is part of freeware project.
               Source code is included only for learning purposes.
               
               Consider it to be free to check how things are
               done but not for application in any project (both 
               commercial and non-commercial) without author's
               permission.
*/

#ifndef __MAIN_HPP
#define __MAIN_HPP

#include <fmod.h>
#include "../aGL/aGL.hpp"
#include "../aLib/aMode/aMode.hpp"
#include "../aLib/aPath/aPath.hpp"

extern aHANDLE hAGL;
extern aFrustum frustum;
extern bool keyboard[256];

extern aState scene;
extern aState effect;
extern aState iface;

extern int maxx, maxy;
extern int zmenit_pohled;
extern aFontHANDLE minifont, font, sysfont, midfont, bigfont;

#endif

